package com.foreverwin.mesnac.listener.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author sungang
 * @since 2020-10-16
 */

@TableName("USR")
public class Usr extends Model<Usr> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("USER_ID")
   private String userId;
   @TableField(exist = false)
   private String fullName;
   @TableField("CURRENT_OPERATION_BO")
   private String currentOperationBo;
   @TableField("CURRENT_RESOURCE_BO")
   private String currentResourceBo;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("BADGE_NUMBER")
   private String badgeNumber;
   @TableField("EMPLOYEE_NUMBER")
   private String employeeNumber;
   @TableField("HIRE_DATE")
   private String hireDate;
   @TableField("TERMINATION_DATE")
   private String terminationDate;
   @TableField("ALLOW_CLOCK_IN_NON_PROD")
   private String allowClockInNonProd;
   @TableField("ACTION_CLOCK_OUT_SFC")
   private String actionClockOutSfc;
   @TableField("CLOCK_IN_OUT_RANGE")
   private String clockInOutRange;
   @TableField("ALLOW_SUP_TIME_EDIT_APPR")
   private String allowSupTimeEditAppr;
   @TableField("APPR_REQ_FOR_EXPORT")
   private String apprReqForExport;
   @TableField("AUTO_CLOCK_OUT")
   private String autoClockOut;
   @TableField("CLOCK_IN_CONTROL")
   private String clockInControl;
   @TableField("DEFAULT_WORK_CENTER_BO")
   private String defaultWorkCenterBo;
   @TableField("ERP_PERSONNEL_NUMBER")
   private String erpPersonnelNumber;
   @TableField("ERP_USER")
   private String erpUser;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getUserId() {
      return userId;
   }

   public void setUserId(String userId) {
      this.userId = userId;
   }

   public String getFullName() {
      return fullName;
   }

   public void setFullName(String fullName) {
      this.fullName = fullName;
   }

   public String getCurrentOperationBo() {
      return currentOperationBo;
   }

   public void setCurrentOperationBo(String currentOperationBo) {
      this.currentOperationBo = currentOperationBo;
   }

   public String getCurrentResourceBo() {
      return currentResourceBo;
   }

   public void setCurrentResourceBo(String currentResourceBo) {
      this.currentResourceBo = currentResourceBo;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getBadgeNumber() {
      return badgeNumber;
   }

   public void setBadgeNumber(String badgeNumber) {
      this.badgeNumber = badgeNumber;
   }

   public String getEmployeeNumber() {
      return employeeNumber;
   }

   public void setEmployeeNumber(String employeeNumber) {
      this.employeeNumber = employeeNumber;
   }

   public String getHireDate() {
      return hireDate;
   }

   public void setHireDate(String hireDate) {
      this.hireDate = hireDate;
   }

   public String getTerminationDate() {
      return terminationDate;
   }

   public void setTerminationDate(String terminationDate) {
      this.terminationDate = terminationDate;
   }

   public String getAllowClockInNonProd() {
      return allowClockInNonProd;
   }

   public void setAllowClockInNonProd(String allowClockInNonProd) {
      this.allowClockInNonProd = allowClockInNonProd;
   }

   public String getActionClockOutSfc() {
      return actionClockOutSfc;
   }

   public void setActionClockOutSfc(String actionClockOutSfc) {
      this.actionClockOutSfc = actionClockOutSfc;
   }

   public String getClockInOutRange() {
      return clockInOutRange;
   }

   public void setClockInOutRange(String clockInOutRange) {
      this.clockInOutRange = clockInOutRange;
   }

   public String getAllowSupTimeEditAppr() {
      return allowSupTimeEditAppr;
   }

   public void setAllowSupTimeEditAppr(String allowSupTimeEditAppr) {
      this.allowSupTimeEditAppr = allowSupTimeEditAppr;
   }

   public String getApprReqForExport() {
      return apprReqForExport;
   }

   public void setApprReqForExport(String apprReqForExport) {
      this.apprReqForExport = apprReqForExport;
   }

   public String getAutoClockOut() {
      return autoClockOut;
   }

   public void setAutoClockOut(String autoClockOut) {
      this.autoClockOut = autoClockOut;
   }

   public String getClockInControl() {
      return clockInControl;
   }

   public void setClockInControl(String clockInControl) {
      this.clockInControl = clockInControl;
   }

   public String getDefaultWorkCenterBo() {
      return defaultWorkCenterBo;
   }

   public void setDefaultWorkCenterBo(String defaultWorkCenterBo) {
      this.defaultWorkCenterBo = defaultWorkCenterBo;
   }

   public String getErpPersonnelNumber() {
      return erpPersonnelNumber;
   }

   public void setErpPersonnelNumber(String erpPersonnelNumber) {
      this.erpPersonnelNumber = erpPersonnelNumber;
   }

   public String getErpUser() {
      return erpUser;
   }

   public void setErpUser(String erpUser) {
      this.erpUser = erpUser;
   }

   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "Usr{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", site = " + site +
         ", userId = " + userId +
         ", currentOperationBo = " + currentOperationBo +
         ", currentResourceBo = " + currentResourceBo +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         ", badgeNumber = " + badgeNumber +
         ", employeeNumber = " + employeeNumber +
         ", hireDate = " + hireDate +
         ", terminationDate = " + terminationDate +
         ", allowClockInNonProd = " + allowClockInNonProd +
         ", actionClockOutSfc = " + actionClockOutSfc +
         ", clockInOutRange = " + clockInOutRange +
         ", allowSupTimeEditAppr = " + allowSupTimeEditAppr +
         ", apprReqForExport = " + apprReqForExport +
         ", autoClockOut = " + autoClockOut +
         ", clockInControl = " + clockInControl +
         ", defaultWorkCenterBo = " + defaultWorkCenterBo +
         ", erpPersonnelNumber = " + erpPersonnelNumber +
         ", erpUser = " + erpUser +
         "}";
   }
}